%global pypi_name    drf-yasg
%global package_name %(echo "%{pypi_name}" | tr '-' '_' | tr '[:upper:]' '[:lower:]')

%{?scl:%global python3_pkgversion %{nil}}
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

Name:           %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Version:        1.11.1
Release:        1%{?dist}
Summary:        Automated generation of real Swagger/OpenAPI 2.0 schemas from Django Rest Framework code

Group:          Development/Libraries
License:        BSD
URL:            https://pypi.io/project/%{pypi_name}
Source0:        https://pypi.io/packages/source/%(echo "%{pypi_name}" | cut -c 1)/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  %{?scl_prefix_python}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix_python}python%{python3_pkgversion}-setuptools
%{?scl:BuildRequires: %{scl}-build %{scl}-runtime}

Requires:       %{?scl_prefix}python%{python3_pkgversion}-coreapi >= 2.3.3
Requires:       %{?scl_prefix}python%{python3_pkgversion}-coreschema >= 0.0.4
Requires:       %{?scl_prefix}python%{python3_pkgversion}-django >= 1.11.7
Requires:       %{?scl_prefix}python%{python3_pkgversion}-djangorestframework >= 3.7.7
Requires:       %{?scl_prefix}python%{python3_pkgversion}-inflection >= 0.3.1
Requires:       %{?scl_prefix}python%{python3_pkgversion}-ruamel-yaml >= 0.15.34
Requires:       %{?scl_prefix}python%{python3_pkgversion}-uritemplate >= 3.0.0
Requires:       %{?scl_prefix_python}python%{python3_pkgversion}-six >= 1.10.0
%{?scl:Requires: %{scl}-runtime}

%description
Generate real Swagger/OpenAPI 2.0 specifications from a Django Rest Framework API.

%prep
%setup -q -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%{?scl:scl enable %{scl} "}
%{__python3} setup.py build
%{?scl:"}

%install
%{?scl:scl enable %{scl} "}
%{__python3} \
  setup.py \
  install \
  -O1 \
  --skip-build \
  --root %{buildroot} \
  --install-purelib %{python3_sitelib}
%{?scl:"}

%files
%license LICENSE.rst
%doc CONTRIBUTING.rst
%doc README.rst
%{python3_sitelib}/%{package_name}
%{python3_sitelib}/%{package_name}-%{version}-py?.?.egg-info

%changelog
* Tue Dec 11 2018 Daniel Uvehag <daniel.uvehag@gmail.com> - 1.11.1-1
- Initial package.
